Namespaces | Enumerations | Functions
RBToken.h File Reference
`#include <boost/static_assert.hpp>`
`#include "EBOOKToken.h"`

Go to the source code of this file.

## Namespaces
| libebook
| libebook::RBToken

## Enumerations
enum | { libebook::RBToken::INVALID_TOKEN = 0, libebook::RBToken::FIRST_TOKEN = EBOOKToken<RBParser>::FIRST_TOKEN, libebook::RBToken::AUTHOR, libebook::RBToken::BODY, libebook::RBToken::COMMENT, libebook::RBToken::COPYRIGHT, libebook::RBToken::COPYTITLE, libebook::RBToken::COPY_ID, libebook::RBToken::GENERATOR, libebook::RBToken::ISBN, libebook::RBToken::MENUMARK, libebook::RBToken::OUTPUT, libebook::RBToken::PARSE, libebook::RBToken::PUBSERVER_ID, libebook::RBToken::PUB_NAME, libebook::RBToken::REVISION, libebook::RBToken::SuggestedRetailPrice, libebook::RBToken::TITLE, libebook::RBToken::TITLE_LANGUAGE, libebook::RBToken::TYPE, libebook::RBToken::URL, libebook::RBToken::USERNAME, libebook::RBToken::unknown, libebook::RBToken::LAST_TOKEN }

## Functions
| libebook::RBToken::BOOST_STATIC_ASSERT (EBOOKToken< RBParser >::LAST_TOKEN >=LAST_TOKEN)
int | libebook::getRBTokenId (const char *const name, const char *const ns)
int | libebook::getRBTokenId (const char *const name, const std::size_t nameLen, const char *const ns, const std::size_t nsLen)
int | libebook::getRBTokenId (const char *const name, const std::size_t nameLen)